import Foundation

struct EnlargeableImageTemplate: Template {

    enum Key: String, CaseIterable {
        case image = "IMAGE"
        case imageExtension = "IMAGE_EXT"
        case width = "WIDTH"
        case height = "HEIGHT"
        case leftText = "LEFT_TEXT"
        case rightText = "RIGHT_TEXT"
        case number = "NUMBER"
    }

    static let templateName = "image-enlargeable.html"

    let raw: String

    let results: GenerationResultsHandler

}
